---
title: Annuaire
slug: fr/annuaire
docTags: 
createdAt: 2021-12-29T12:06:40.000Z
---



:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.fsflt.net/customerarea/directory/industries",
  "name": "Get Industries",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "X-API-KEY",
        "type": "string",
        "description": "API Key for authorization"
      }
    ],
    "bodyDataParameters": [
      {
        "kind": "optional",
        "name": "lang",
        "type": "string",
        "description": "Language for the industry name, defaults EN"
      }
    ],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "uENE7q8TnXER1CN36BJ42",
        "code": "{\n    \"code\": 200,\n    \"content\": [\n        {\n            \"industry_code\": 9,\n            \"industry_name\": \"Reseller\"\n        },\n        {\n            \"industry_code\": 1,\n            \"industry_name\": \"Company\"\n        },\n    ]\n}",
        "language": "200"
      },
      {
        "id": "DpV0lO5g0GzahshOP98wf",
        "code": "{\n    \"message\": \"Invalid token or Unauthorized admin\"\n}",
        "language": "401"
      },
      {
        "id": "YR93v5EPbPJ2X3Y2IMnxK",
        "code": "{\r\n    \"code\": 500,\r\n    \"message\": \"The given data was invalid.\",\r\n    \"errors\": {\r\n        \"lang\": [\r\n            \"The lang must be one of the following types: EN, IT, ES, DE\"\r\n        ]\r\n    }\r\n}",
        "language": "500"
      }
    ],
    "selectedLanguageId": "uENE7q8TnXER1CN36BJ42"
  },
  "examples": {
    "languages": [
      {
        "id": "9t7yHmpL03Bi1hm9_SoWp",
        "code": "curl -X 'GET' \\\n  'https://api.fsflt.net/customerarea/directory/industries' \\\n  -H 'accept: application/json' \\\n  -H \"Content-Type: application/json\" \\\n  -H \"X-API-KEY: YOUR_API_KEY\" \\\n  -d '{YOUR_PARAM}'",
        "language": "shell"
      }
    ],
    "selectedLanguageId": "9t7yHmpL03Bi1hm9_SoWp"
  },
  "description": "Get industries list for customers registration",
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "autoGeneratedAnchorSlug": "get-industries",
  "legacyHash": "7U36eF7XdIBwjP7XOl1kx"
}
```
:::



:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.fsflt.net/customerarea/directory/countries",
  "name": "Get Countries",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "X-API-KEY",
        "type": "string",
        "description": "API Key for authorization"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "L3s5J8Hxy-qh8eGO7_f6I",
        "code": "{\n    \"code\": 200,\n    \"content\": [\n        {\n            \"country_code\": \"AD\",\n            \"country_name\": \"Andorra\"\n        },\n        {\n            \"country_code\": \"AE\",\n            \"country_name\": \"United Arab Emirates\"\n        },\n    ]\n}",
        "language": "200"
      },
      {
        "id": "2fmhnfpUe0zfMgs6z3Jxo",
        "code": "{\n    \"message\": \"Invalid token or Unauthorized admin\"\n}",
        "language": "401"
      },
      {
        "id": "U-R8eP5hNx2KDNxGNSVfw",
        "code": "{\r\n    \"code\": 500,\r\n    \"message\": \"Error message.\",\r\n    \"errors\": { }\r\n}",
        "language": "500"
      }
    ],
    "selectedLanguageId": "L3s5J8Hxy-qh8eGO7_f6I"
  },
  "examples": {
    "languages": [
      {
        "id": "5rjm09SNYPSnKo5mVC7_c",
        "code": "curl -X 'GET' \\\n  'https://api.fsflt.net/customerarea/directory/countries' \\\n  -H 'accept: application/json' \\\n  -H \"Content-Type: application/json\" \\\n  -H \"X-API-KEY: YOUR_API_KEY\" ",
        "language": "shell"
      }
    ],
    "selectedLanguageId": "5rjm09SNYPSnKo5mVC7_c"
  },
  "description": "Get countries list for customers registration",
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "autoGeneratedAnchorSlug": "get-countries",
  "legacyHash": "LDcED_BobXdWbQI-aivmu"
}
```
:::

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.fsflt.net/customerarea/directory/currencies",
  "name": "Get Currencies",
  "method": "GET",
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "X-API-KEY",
        "type": "string",
        "description": "API Key for authorization"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "HEH3pDNfl1yKRB5OFsuSG",
        "code": "{\n    \"code\": 200,\n    \"content\": [\n        {\n            \"currency_code\": \"EUR\",\n            \"currency_name\": \"Euro\"\n        },\n        {\n            \"currency_code\": \"USD\",\n            \"currency_name\": \"U.S. Dollar\"\n        },\n    ]\n}",
        "language": "200"
      },
      {
        "id": "s_DlyezYAMrbTBgzSzQx7",
        "code": "{\n    \"message\": \"Invalid token or Unauthorized admin\"\n}",
        "language": "401"
      },
      {
        "id": "2N_hYbXaMopsNmqwk_UJl",
        "code": "{\r\n    \"code\": 500,\r\n    \"message\": \"Error message.\",\r\n    \"errors\": { }\r\n}",
        "language": "500"
      }
    ],
    "selectedLanguageId": "HEH3pDNfl1yKRB5OFsuSG"
  },
  "examples": {
    "languages": [
      {
        "id": "i4tQ8bsPF1h7-E9yGWKub",
        "code": "curl -X 'GET' \\\n  'https://api.fsflt.net/customerarea/directory/currencies' \\\n  -H 'accept: application/json' \\\n  -H \"Content-Type: application/json\" \\\n  -H \"X-API-KEY: YOUR_API_KEY\" ",
        "language": "shell"
      }
    ],
    "selectedLanguageId": "i4tQ8bsPF1h7-E9yGWKub"
  },
  "description": "Get currencies list for license amount",
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "autoGeneratedAnchorSlug": "get-currencies",
  "legacyHash": "7jzA5Bp_Z4j9Q5LVUhgpY"
}
```
:::

